import { Store } from '@nano/sqlite'

/**
 *  Session
 * 
 *
 */
class SessionStore extends Store {

    constructor(db) {
        super(db, 'sessions')
    }

    public async findOneByUser(user) {
        return this.db.query('SELECT * FROM ' + this.tableName + ' WHERE user = $user')
            .get({
                '$user': user
            })
    }

    public async findByUser(user) {
        return this.db.query('SELECT * FROM ' + this.tableName + ' WHERE user = $user')
            .all({
                '$user': user
            })
    }

    public async findOneByUserAndToken(user, token) {
        return this.db.query('SELECT * FROM ' + this.tableName + ' WHERE user = $user AND token = $token')
            .get({
                '$user'  : user,
                '$token' : token
            })
    }
}

export default SessionStore
